Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003228 [JEDI VCL] 00 JVCL Components minor always 2005-09-23 04:42 2006-02-20 06:21
Reporter marcgeldon View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003228: TJvPoweredByJCL / TJvPoweredByJVCL
Description - TJvPoweredByJCL does not have the "URL" property published (TJvPoweredByJVCL has!).

- "http://homepages.borland.com/jedi/jcl/PoweredByJCL.htm" [^] does not exist. Place a new TJvPoweredByJCL on the form, run the application and click on the object. It links to a website, which does not exist.

- If you change the URL property to a empty string ('') and you click on the object at runtime it opens the default URL. Better would be this solution: if URL is empty, just nothing happens and "Cursor" property is set back to default. Maybe there are developer who don't want to place a link. The only problem is, that an empty property is not saved in DFM, so it gets back to the default URL. Maybe we need a new property "Link" or something like that.

I used the current JVCL version from CVS from yesterday.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvPoweredBy.pas [^] (8,059 bytes) 2006-02-20 03:43

- Relationships

-  Notes
(0007967)
marcgeldon (reporter)
2005-09-23 05:04

If you want me to fix it or to extend this component, just leave me a message here. It's no problem to do that.
(0008123)
AHUser (developer)
2005-11-22 06:45

Here is the message, a little bit late, but... :-)
(0008574)
marcgeldon (reporter)
2006-02-20 03:44

I've uploaded a new version. A new property called "URLActive" (Boolean) can now be found at the component.

If youw want the link active/clickable, set URLActive to "true". If not (and if you want a normal cursor), set property to "false".
(0008576)
AHUser (developer)
2006-02-20 06:21

Thank's. I have committed your changes to CVS.

- Issue History
Date Modified Username Field Change
2005-09-23 04:42 marcgeldon New Issue
2005-09-23 05:04 marcgeldon Note Added: 0007967
2005-11-22 06:45 AHUser Note Added: 0008123
2005-11-22 06:45 AHUser Status new => feedback
2006-02-20 03:43 marcgeldon File Added: JvPoweredBy.pas
2006-02-20 03:44 marcgeldon Note Added: 0008574
2006-02-20 06:21 AHUser Status feedback => resolved
2006-02-20 06:21 AHUser Resolution open => fixed
2006-02-20 06:21 AHUser Assigned To => AHUser
2006-02-20 06:21 AHUser Note Added: 0008576


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker